{"swagger":"2.0","info":{"title":"UzL Thesis System API","description":"Find your Thesis Topic","version":"6.9","contact":{"email":"maximilianwinkler@outlook.de"}},"host":"thesis.isp.uni-luebeck.de","basePath":"\/admin\/wp-json","tags":[],"schemes":["https","http"],"paths":{"\/wp\/v2\/posts":{"get":{"tags":["posts"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"context","in":"query","description":"Scope under which the request is made; determines fields present in response.","required":false,"type":"array","items":{"type":"string","enum":["view","embed","edit"],"default":"view"},"collectionFormat":"multi"},{"name":"page","in":"query","description":"Current page of the collection.","required":false,"type":"integer","minimum":1,"format":"int64"},{"name":"per_page","in":"query","description":"Maximum number of items to be returned in result set.","required":false,"type":"integer","maximum":100,"minimum":1,"format":"int64"},{"name":"search","in":"query","description":"Limit results to those matching a string.","required":false,"type":"string"},{"name":"after","in":"query","description":"Limit response to posts published after a given ISO8601 compliant date.","required":false,"type":"string","format":"date-time"},{"name":"modified_after","in":"query","description":"Limit response to posts modified after a given ISO8601 compliant date.","required":false,"type":"string","format":"date-time"},{"name":"author","in":"query","description":"Limit result set to posts assigned to specific authors.","required":false,"type":"array","items":{"type":"integer"}},{"name":"author_exclude","in":"query","description":"Ensure result set excludes posts assigned to specific authors.","required":false,"type":"array","items":{"type":"integer"}},{"name":"before","in":"query","description":"Limit response to posts published before a given ISO8601 compliant date.","required":false,"type":"string","format":"date-time"},{"name":"modified_before","in":"query","description":"Limit response to posts modified before a given ISO8601 compliant date.","required":false,"type":"string","format":"date-time"},{"name":"exclude","in":"query","description":"Ensure result set excludes specific IDs.","required":false,"type":"array","items":{"type":"integer"}},{"name":"include","in":"query","description":"Limit result set to specific IDs.","required":false,"type":"array","items":{"type":"integer"}},{"name":"search_semantics","in":"query","description":"How to interpret the search input.","required":false,"type":"array","items":{"type":"string","enum":["exact"]},"collectionFormat":"multi"},{"name":"offset","in":"query","description":"Offset the result set by a specific number of items.","required":false,"type":"integer","format":"int64"},{"name":"order","in":"query","description":"Order sort attribute ascending or descending.","required":false,"type":"array","items":{"type":"string","enum":["asc","desc"],"default":"desc"},"collectionFormat":"multi"},{"name":"orderby","in":"query","description":"Sort collection by post attribute.","required":false,"type":"array","items":{"type":"string","enum":["author","date","id","include","modified","parent","relevance","slug","include_slugs","title"],"default":"date"},"collectionFormat":"multi"},{"name":"search_columns","in":"query","description":"Array of column names to be searched.","required":false,"type":"array","items":{"type":"string"}},{"name":"slug","in":"query","description":"Limit result set to posts with one or more specific slugs.","required":false,"type":"array","items":{"type":"string"}},{"name":"status","in":"query","description":"Limit result set to posts assigned one or more statuses.","required":false,"type":"array","items":{"type":"string"}},{"name":"tax_relation","in":"query","description":"Limit result set based on relationship between multiple taxonomies.","required":false,"type":"array","items":{"type":"string","enum":["AND","OR"]},"collectionFormat":"multi"},{"name":"categories","in":"query","description":"Limit result set to items with specific terms assigned in the categories taxonomy.","required":false,"type":"string"},{"name":"categories_exclude","in":"query","description":"Limit result set to items except those with specific terms assigned in the categories taxonomy.","required":false,"type":"string"},{"name":"tags","in":"query","description":"Limit result set to items with specific terms assigned in the tags taxonomy.","required":false,"type":"string"},{"name":"tags_exclude","in":"query","description":"Limit result set to items except those with specific terms assigned in the tags taxonomy.","required":false,"type":"string"},{"name":"sticky","in":"query","description":"Limit result set to items that are sticky.","required":false,"type":"boolean"},{"name":"ignore_sticky","in":"query","description":"Whether to ignore sticky posts or not.","required":false,"type":"boolean"},{"name":"format","in":"query","description":"Limit result set to items assigned one or more given formats.","required":false,"type":"array","items":{"type":"string"}}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}},"post":{"tags":["posts"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"date","in":"formData","description":"The date the post was published, in the site's timezone.","required":false,"type":"string","format":"date-time"},{"name":"date_gmt","in":"formData","description":"The date the post was published, as GMT.","required":false,"type":"string","format":"date-time"},{"name":"slug","in":"formData","description":"An alphanumeric identifier for the post unique to its type.","required":false,"type":"string"},{"name":"status","in":"formData","description":"A named status for the post.","required":false,"type":"array","items":{"type":"string","enum":["publish","future","draft","pending","private"]},"collectionFormat":"multi"},{"name":"password","in":"formData","description":"A password to protect access to the content and excerpt.","required":false,"type":"string"},{"name":"title","in":"formData","description":"The title for the post.","required":false,"type":"string"},{"name":"content","in":"formData","description":"The content for the post.","required":false,"type":"string"},{"name":"author","in":"formData","description":"The ID for the author of the post.","required":false,"type":"integer","format":"int64"},{"name":"excerpt","in":"formData","description":"The excerpt for the post.","required":false,"type":"string"},{"name":"featured_media","in":"formData","description":"The ID of the featured media for the post.","required":false,"type":"integer","format":"int64"},{"name":"comment_status","in":"formData","description":"Whether or not comments are open on the post.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"ping_status","in":"formData","description":"Whether or not the post can be pinged.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"format","in":"formData","description":"The format for the post.","required":false,"type":"array","items":{"type":"string","enum":["standard","aside","chat","gallery","link","image","quote","status","video","audio"]},"collectionFormat":"multi"},{"name":"meta","in":"formData","description":"Meta fields.","required":false,"type":"string"},{"name":"sticky","in":"formData","description":"Whether or not the post should be treated as sticky.","required":false,"type":"boolean"},{"name":"template","in":"formData","description":"The theme file to use to display the post.","required":false,"type":"string"},{"name":"categories","in":"formData","description":"The terms assigned to the post in the category taxonomy.","required":false,"type":"array","items":{"type":"integer"}},{"name":"tags","in":"formData","description":"The terms assigned to the post in the post_tag taxonomy.","required":false,"type":"array","items":{"type":"integer"}}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}}},"\/wp\/v2\/posts\/{id}":{"get":{"tags":["posts"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"id","in":"path","description":"Unique identifier for the post.","required":true,"type":"integer","format":"int64"},{"name":"context","in":"query","description":"Scope under which the request is made; determines fields present in response.","required":false,"type":"array","items":{"type":"string","enum":["view","embed","edit"],"default":"view"},"collectionFormat":"multi"},{"name":"excerpt_length","in":"query","description":"Override the default excerpt length.","required":false,"type":"integer","format":"int64"},{"name":"password","in":"query","description":"The password for the post if it is password protected.","required":false,"type":"string"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}},"post":{"tags":["posts"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"id","in":"path","description":"Unique identifier for the post.","required":true,"type":"integer","format":"int64"},{"name":"date","in":"formData","description":"The date the post was published, in the site's timezone.","required":false,"type":"string","format":"date-time"},{"name":"date_gmt","in":"formData","description":"The date the post was published, as GMT.","required":false,"type":"string","format":"date-time"},{"name":"slug","in":"formData","description":"An alphanumeric identifier for the post unique to its type.","required":false,"type":"string"},{"name":"status","in":"formData","description":"A named status for the post.","required":false,"type":"array","items":{"type":"string","enum":["publish","future","draft","pending","private"]},"collectionFormat":"multi"},{"name":"password","in":"formData","description":"A password to protect access to the content and excerpt.","required":false,"type":"string"},{"name":"title","in":"formData","description":"The title for the post.","required":false,"type":"string"},{"name":"content","in":"formData","description":"The content for the post.","required":false,"type":"string"},{"name":"author","in":"formData","description":"The ID for the author of the post.","required":false,"type":"integer","format":"int64"},{"name":"excerpt","in":"formData","description":"The excerpt for the post.","required":false,"type":"string"},{"name":"featured_media","in":"formData","description":"The ID of the featured media for the post.","required":false,"type":"integer","format":"int64"},{"name":"comment_status","in":"formData","description":"Whether or not comments are open on the post.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"ping_status","in":"formData","description":"Whether or not the post can be pinged.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"format","in":"formData","description":"The format for the post.","required":false,"type":"array","items":{"type":"string","enum":["standard","aside","chat","gallery","link","image","quote","status","video","audio"]},"collectionFormat":"multi"},{"name":"meta","in":"formData","description":"Meta fields.","required":false,"type":"string"},{"name":"sticky","in":"formData","description":"Whether or not the post should be treated as sticky.","required":false,"type":"boolean"},{"name":"template","in":"formData","description":"The theme file to use to display the post.","required":false,"type":"string"},{"name":"categories","in":"formData","description":"The terms assigned to the post in the category taxonomy.","required":false,"type":"array","items":{"type":"integer"}},{"name":"tags","in":"formData","description":"The terms assigned to the post in the post_tag taxonomy.","required":false,"type":"array","items":{"type":"integer"}}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}},"put":{"tags":["posts"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"id","in":"path","description":"Unique identifier for the post.","required":true,"type":"integer","format":"int64"},{"name":"date","in":"query","description":"The date the post was published, in the site's timezone.","required":false,"type":"string","format":"date-time"},{"name":"date_gmt","in":"query","description":"The date the post was published, as GMT.","required":false,"type":"string","format":"date-time"},{"name":"slug","in":"query","description":"An alphanumeric identifier for the post unique to its type.","required":false,"type":"string"},{"name":"status","in":"query","description":"A named status for the post.","required":false,"type":"array","items":{"type":"string","enum":["publish","future","draft","pending","private"]},"collectionFormat":"multi"},{"name":"password","in":"query","description":"A password to protect access to the content and excerpt.","required":false,"type":"string"},{"name":"title","in":"query","description":"The title for the post.","required":false,"type":"string"},{"name":"content","in":"query","description":"The content for the post.","required":false,"type":"string"},{"name":"author","in":"query","description":"The ID for the author of the post.","required":false,"type":"integer","format":"int64"},{"name":"excerpt","in":"query","description":"The excerpt for the post.","required":false,"type":"string"},{"name":"featured_media","in":"query","description":"The ID of the featured media for the post.","required":false,"type":"integer","format":"int64"},{"name":"comment_status","in":"query","description":"Whether or not comments are open on the post.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"ping_status","in":"query","description":"Whether or not the post can be pinged.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"format","in":"query","description":"The format for the post.","required":false,"type":"array","items":{"type":"string","enum":["standard","aside","chat","gallery","link","image","quote","status","video","audio"]},"collectionFormat":"multi"},{"name":"meta","in":"query","description":"Meta fields.","required":false,"type":"string"},{"name":"sticky","in":"query","description":"Whether or not the post should be treated as sticky.","required":false,"type":"boolean"},{"name":"template","in":"query","description":"The theme file to use to display the post.","required":false,"type":"string"},{"name":"categories","in":"query","description":"The terms assigned to the post in the category taxonomy.","required":false,"type":"array","items":{"type":"integer"}},{"name":"tags","in":"query","description":"The terms assigned to the post in the post_tag taxonomy.","required":false,"type":"array","items":{"type":"integer"}}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}},"patch":{"tags":["posts"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"id","in":"path","description":"Unique identifier for the post.","required":true,"type":"integer","format":"int64"},{"name":"date","in":"query","description":"The date the post was published, in the site's timezone.","required":false,"type":"string","format":"date-time"},{"name":"date_gmt","in":"query","description":"The date the post was published, as GMT.","required":false,"type":"string","format":"date-time"},{"name":"slug","in":"query","description":"An alphanumeric identifier for the post unique to its type.","required":false,"type":"string"},{"name":"status","in":"query","description":"A named status for the post.","required":false,"type":"array","items":{"type":"string","enum":["publish","future","draft","pending","private"]},"collectionFormat":"multi"},{"name":"password","in":"query","description":"A password to protect access to the content and excerpt.","required":false,"type":"string"},{"name":"title","in":"query","description":"The title for the post.","required":false,"type":"string"},{"name":"content","in":"query","description":"The content for the post.","required":false,"type":"string"},{"name":"author","in":"query","description":"The ID for the author of the post.","required":false,"type":"integer","format":"int64"},{"name":"excerpt","in":"query","description":"The excerpt for the post.","required":false,"type":"string"},{"name":"featured_media","in":"query","description":"The ID of the featured media for the post.","required":false,"type":"integer","format":"int64"},{"name":"comment_status","in":"query","description":"Whether or not comments are open on the post.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"ping_status","in":"query","description":"Whether or not the post can be pinged.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"format","in":"query","description":"The format for the post.","required":false,"type":"array","items":{"type":"string","enum":["standard","aside","chat","gallery","link","image","quote","status","video","audio"]},"collectionFormat":"multi"},{"name":"meta","in":"query","description":"Meta fields.","required":false,"type":"string"},{"name":"sticky","in":"query","description":"Whether or not the post should be treated as sticky.","required":false,"type":"boolean"},{"name":"template","in":"query","description":"The theme file to use to display the post.","required":false,"type":"string"},{"name":"categories","in":"query","description":"The terms assigned to the post in the category taxonomy.","required":false,"type":"array","items":{"type":"integer"}},{"name":"tags","in":"query","description":"The terms assigned to the post in the post_tag taxonomy.","required":false,"type":"array","items":{"type":"integer"}}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}},"delete":{"tags":["posts"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"id","in":"path","description":"Unique identifier for the post.","required":true,"type":"integer","format":"int64"},{"name":"force","in":"query","description":"Whether to bypass Trash and force deletion.","required":false,"type":"boolean"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}}},"\/wp\/v2\/posts\/{parent}\/revisions":{"get":{"tags":["posts"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"parent","in":"path","description":"The ID for the parent of the revision.","required":true,"type":"integer","format":"int64"},{"name":"context","in":"query","description":"Scope under which the request is made; determines fields present in response.","required":false,"type":"array","items":{"type":"string","enum":["view","embed","edit"],"default":"view"},"collectionFormat":"multi"},{"name":"page","in":"query","description":"Current page of the collection.","required":false,"type":"integer","minimum":1,"format":"int64"},{"name":"per_page","in":"query","description":"Maximum number of items to be returned in result set.","required":false,"type":"integer","maximum":100,"minimum":1,"format":"int64"},{"name":"search","in":"query","description":"Limit results to those matching a string.","required":false,"type":"string"},{"name":"exclude","in":"query","description":"Ensure result set excludes specific IDs.","required":false,"type":"array","items":{"type":"integer"}},{"name":"include","in":"query","description":"Limit result set to specific IDs.","required":false,"type":"array","items":{"type":"integer"}},{"name":"offset","in":"query","description":"Offset the result set by a specific number of items.","required":false,"type":"integer","format":"int64"},{"name":"order","in":"query","description":"Order sort attribute ascending or descending.","required":false,"type":"array","items":{"type":"string","enum":["asc","desc"],"default":"desc"},"collectionFormat":"multi"},{"name":"orderby","in":"query","description":"Sort collection by object attribute.","required":false,"type":"array","items":{"type":"string","enum":["date","id","include","relevance","slug","include_slugs","title"],"default":"date"},"collectionFormat":"multi"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}}},"\/wp\/v2\/posts\/{parent}":{"get":{"tags":["posts"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"parent","in":"path","description":"The ID for the parent of the autosave.","required":true,"type":"integer","format":"int64"},{"name":"id","in":"query","description":"The ID for the autosave.","required":false,"type":"integer","format":"int64"},{"name":"context","in":"query","description":"Scope under which the request is made; determines fields present in response.","required":false,"type":"array","items":{"type":"string","enum":["view","embed","edit"],"default":"view"},"collectionFormat":"multi"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}}},"\/wp\/v2\/posts\/{id}\/autosaves":{"get":{"tags":["posts"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"parent","in":"query","description":"The ID for the parent of the autosave.","required":false,"type":"integer","format":"int64"},{"name":"context","in":"query","description":"Scope under which the request is made; determines fields present in response.","required":false,"type":"array","items":{"type":"string","enum":["view","embed","edit"],"default":"view"},"collectionFormat":"multi"},{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int64"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}},"post":{"tags":["posts"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"parent","in":"formData","description":"The ID for the parent of the autosave.","required":false,"type":"integer","format":"int64"},{"name":"date","in":"formData","description":"The date the post was published, in the site's timezone.","required":false,"type":"string","format":"date-time"},{"name":"date_gmt","in":"formData","description":"The date the post was published, as GMT.","required":false,"type":"string","format":"date-time"},{"name":"slug","in":"formData","description":"An alphanumeric identifier for the post unique to its type.","required":false,"type":"string"},{"name":"status","in":"formData","description":"A named status for the post.","required":false,"type":"array","items":{"type":"string","enum":["publish","future","draft","pending","private"]},"collectionFormat":"multi"},{"name":"password","in":"formData","description":"A password to protect access to the content and excerpt.","required":false,"type":"string"},{"name":"title","in":"formData","description":"The title for the post.","required":false,"type":"string"},{"name":"content","in":"formData","description":"The content for the post.","required":false,"type":"string"},{"name":"author","in":"formData","description":"The ID for the author of the post.","required":false,"type":"integer","format":"int64"},{"name":"excerpt","in":"formData","description":"The excerpt for the post.","required":false,"type":"string"},{"name":"featured_media","in":"formData","description":"The ID of the featured media for the post.","required":false,"type":"integer","format":"int64"},{"name":"comment_status","in":"formData","description":"Whether or not comments are open on the post.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"ping_status","in":"formData","description":"Whether or not the post can be pinged.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"format","in":"formData","description":"The format for the post.","required":false,"type":"array","items":{"type":"string","enum":["standard","aside","chat","gallery","link","image","quote","status","video","audio"]},"collectionFormat":"multi"},{"name":"meta","in":"formData","description":"Meta fields.","required":false,"type":"string"},{"name":"sticky","in":"formData","description":"Whether or not the post should be treated as sticky.","required":false,"type":"boolean"},{"name":"template","in":"formData","description":"The theme file to use to display the post.","required":false,"type":"string"},{"name":"categories","in":"formData","description":"The terms assigned to the post in the category taxonomy.","required":false,"type":"array","items":{"type":"integer"}},{"name":"tags","in":"formData","description":"The terms assigned to the post in the post_tag taxonomy.","required":false,"type":"array","items":{"type":"integer"}},{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int64"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}}},"\/wp\/v2\/pages":{"get":{"tags":["pages"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"context","in":"query","description":"Scope under which the request is made; determines fields present in response.","required":false,"type":"array","items":{"type":"string","enum":["view","embed","edit"],"default":"view"},"collectionFormat":"multi"},{"name":"page","in":"query","description":"Current page of the collection.","required":false,"type":"integer","minimum":1,"format":"int64"},{"name":"per_page","in":"query","description":"Maximum number of items to be returned in result set.","required":false,"type":"integer","maximum":100,"minimum":1,"format":"int64"},{"name":"search","in":"query","description":"Limit results to those matching a string.","required":false,"type":"string"},{"name":"after","in":"query","description":"Limit response to posts published after a given ISO8601 compliant date.","required":false,"type":"string","format":"date-time"},{"name":"modified_after","in":"query","description":"Limit response to posts modified after a given ISO8601 compliant date.","required":false,"type":"string","format":"date-time"},{"name":"author","in":"query","description":"Limit result set to posts assigned to specific authors.","required":false,"type":"array","items":{"type":"integer"}},{"name":"author_exclude","in":"query","description":"Ensure result set excludes posts assigned to specific authors.","required":false,"type":"array","items":{"type":"integer"}},{"name":"before","in":"query","description":"Limit response to posts published before a given ISO8601 compliant date.","required":false,"type":"string","format":"date-time"},{"name":"modified_before","in":"query","description":"Limit response to posts modified before a given ISO8601 compliant date.","required":false,"type":"string","format":"date-time"},{"name":"exclude","in":"query","description":"Ensure result set excludes specific IDs.","required":false,"type":"array","items":{"type":"integer"}},{"name":"include","in":"query","description":"Limit result set to specific IDs.","required":false,"type":"array","items":{"type":"integer"}},{"name":"menu_order","in":"query","description":"Limit result set to posts with a specific menu_order value.","required":false,"type":"integer","format":"int64"},{"name":"search_semantics","in":"query","description":"How to interpret the search input.","required":false,"type":"array","items":{"type":"string","enum":["exact"]},"collectionFormat":"multi"},{"name":"offset","in":"query","description":"Offset the result set by a specific number of items.","required":false,"type":"integer","format":"int64"},{"name":"order","in":"query","description":"Order sort attribute ascending or descending.","required":false,"type":"array","items":{"type":"string","enum":["asc","desc"],"default":"desc"},"collectionFormat":"multi"},{"name":"orderby","in":"query","description":"Sort collection by post attribute.","required":false,"type":"array","items":{"type":"string","enum":["author","date","id","include","modified","parent","relevance","slug","include_slugs","title","menu_order"],"default":"date"},"collectionFormat":"multi"},{"name":"parent","in":"query","description":"Limit result set to items with particular parent IDs.","required":false,"type":"array","items":{"type":"integer"}},{"name":"parent_exclude","in":"query","description":"Limit result set to all items except those of a particular parent ID.","required":false,"type":"array","items":{"type":"integer"}},{"name":"search_columns","in":"query","description":"Array of column names to be searched.","required":false,"type":"array","items":{"type":"string"}},{"name":"slug","in":"query","description":"Limit result set to posts with one or more specific slugs.","required":false,"type":"array","items":{"type":"string"}},{"name":"status","in":"query","description":"Limit result set to posts assigned one or more statuses.","required":false,"type":"array","items":{"type":"string"}}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}},"post":{"tags":["pages"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"date","in":"formData","description":"The date the post was published, in the site's timezone.","required":false,"type":"string","format":"date-time"},{"name":"date_gmt","in":"formData","description":"The date the post was published, as GMT.","required":false,"type":"string","format":"date-time"},{"name":"slug","in":"formData","description":"An alphanumeric identifier for the post unique to its type.","required":false,"type":"string"},{"name":"status","in":"formData","description":"A named status for the post.","required":false,"type":"array","items":{"type":"string","enum":["publish","future","draft","pending","private"]},"collectionFormat":"multi"},{"name":"password","in":"formData","description":"A password to protect access to the content and excerpt.","required":false,"type":"string"},{"name":"parent","in":"formData","description":"The ID for the parent of the post.","required":false,"type":"integer","format":"int64"},{"name":"title","in":"formData","description":"The title for the post.","required":false,"type":"string"},{"name":"content","in":"formData","description":"The content for the post.","required":false,"type":"string"},{"name":"author","in":"formData","description":"The ID for the author of the post.","required":false,"type":"integer","format":"int64"},{"name":"excerpt","in":"formData","description":"The excerpt for the post.","required":false,"type":"string"},{"name":"featured_media","in":"formData","description":"The ID of the featured media for the post.","required":false,"type":"integer","format":"int64"},{"name":"comment_status","in":"formData","description":"Whether or not comments are open on the post.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"ping_status","in":"formData","description":"Whether or not the post can be pinged.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"menu_order","in":"formData","description":"The order of the post in relation to other posts.","required":false,"type":"integer","format":"int64"},{"name":"meta","in":"formData","description":"Meta fields.","required":false,"type":"string"},{"name":"template","in":"formData","description":"The theme file to use to display the post.","required":false,"type":"string"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}}},"\/wp\/v2\/pages\/{id}":{"get":{"tags":["pages"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"id","in":"path","description":"Unique identifier for the post.","required":true,"type":"integer","format":"int64"},{"name":"context","in":"query","description":"Scope under which the request is made; determines fields present in response.","required":false,"type":"array","items":{"type":"string","enum":["view","embed","edit"],"default":"view"},"collectionFormat":"multi"},{"name":"excerpt_length","in":"query","description":"Override the default excerpt length.","required":false,"type":"integer","format":"int64"},{"name":"password","in":"query","description":"The password for the post if it is password protected.","required":false,"type":"string"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}},"post":{"tags":["pages"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"id","in":"path","description":"Unique identifier for the post.","required":true,"type":"integer","format":"int64"},{"name":"date","in":"formData","description":"The date the post was published, in the site's timezone.","required":false,"type":"string","format":"date-time"},{"name":"date_gmt","in":"formData","description":"The date the post was published, as GMT.","required":false,"type":"string","format":"date-time"},{"name":"slug","in":"formData","description":"An alphanumeric identifier for the post unique to its type.","required":false,"type":"string"},{"name":"status","in":"formData","description":"A named status for the post.","required":false,"type":"array","items":{"type":"string","enum":["publish","future","draft","pending","private"]},"collectionFormat":"multi"},{"name":"password","in":"formData","description":"A password to protect access to the content and excerpt.","required":false,"type":"string"},{"name":"parent","in":"formData","description":"The ID for the parent of the post.","required":false,"type":"integer","format":"int64"},{"name":"title","in":"formData","description":"The title for the post.","required":false,"type":"string"},{"name":"content","in":"formData","description":"The content for the post.","required":false,"type":"string"},{"name":"author","in":"formData","description":"The ID for the author of the post.","required":false,"type":"integer","format":"int64"},{"name":"excerpt","in":"formData","description":"The excerpt for the post.","required":false,"type":"string"},{"name":"featured_media","in":"formData","description":"The ID of the featured media for the post.","required":false,"type":"integer","format":"int64"},{"name":"comment_status","in":"formData","description":"Whether or not comments are open on the post.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"ping_status","in":"formData","description":"Whether or not the post can be pinged.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"menu_order","in":"formData","description":"The order of the post in relation to other posts.","required":false,"type":"integer","format":"int64"},{"name":"meta","in":"formData","description":"Meta fields.","required":false,"type":"string"},{"name":"template","in":"formData","description":"The theme file to use to display the post.","required":false,"type":"string"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}},"put":{"tags":["pages"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"id","in":"path","description":"Unique identifier for the post.","required":true,"type":"integer","format":"int64"},{"name":"date","in":"query","description":"The date the post was published, in the site's timezone.","required":false,"type":"string","format":"date-time"},{"name":"date_gmt","in":"query","description":"The date the post was published, as GMT.","required":false,"type":"string","format":"date-time"},{"name":"slug","in":"query","description":"An alphanumeric identifier for the post unique to its type.","required":false,"type":"string"},{"name":"status","in":"query","description":"A named status for the post.","required":false,"type":"array","items":{"type":"string","enum":["publish","future","draft","pending","private"]},"collectionFormat":"multi"},{"name":"password","in":"query","description":"A password to protect access to the content and excerpt.","required":false,"type":"string"},{"name":"parent","in":"query","description":"The ID for the parent of the post.","required":false,"type":"integer","format":"int64"},{"name":"title","in":"query","description":"The title for the post.","required":false,"type":"string"},{"name":"content","in":"query","description":"The content for the post.","required":false,"type":"string"},{"name":"author","in":"query","description":"The ID for the author of the post.","required":false,"type":"integer","format":"int64"},{"name":"excerpt","in":"query","description":"The excerpt for the post.","required":false,"type":"string"},{"name":"featured_media","in":"query","description":"The ID of the featured media for the post.","required":false,"type":"integer","format":"int64"},{"name":"comment_status","in":"query","description":"Whether or not comments are open on the post.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"ping_status","in":"query","description":"Whether or not the post can be pinged.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"menu_order","in":"query","description":"The order of the post in relation to other posts.","required":false,"type":"integer","format":"int64"},{"name":"meta","in":"query","description":"Meta fields.","required":false,"type":"string"},{"name":"template","in":"query","description":"The theme file to use to display the post.","required":false,"type":"string"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}},"patch":{"tags":["pages"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"id","in":"path","description":"Unique identifier for the post.","required":true,"type":"integer","format":"int64"},{"name":"date","in":"query","description":"The date the post was published, in the site's timezone.","required":false,"type":"string","format":"date-time"},{"name":"date_gmt","in":"query","description":"The date the post was published, as GMT.","required":false,"type":"string","format":"date-time"},{"name":"slug","in":"query","description":"An alphanumeric identifier for the post unique to its type.","required":false,"type":"string"},{"name":"status","in":"query","description":"A named status for the post.","required":false,"type":"array","items":{"type":"string","enum":["publish","future","draft","pending","private"]},"collectionFormat":"multi"},{"name":"password","in":"query","description":"A password to protect access to the content and excerpt.","required":false,"type":"string"},{"name":"parent","in":"query","description":"The ID for the parent of the post.","required":false,"type":"integer","format":"int64"},{"name":"title","in":"query","description":"The title for the post.","required":false,"type":"string"},{"name":"content","in":"query","description":"The content for the post.","required":false,"type":"string"},{"name":"author","in":"query","description":"The ID for the author of the post.","required":false,"type":"integer","format":"int64"},{"name":"excerpt","in":"query","description":"The excerpt for the post.","required":false,"type":"string"},{"name":"featured_media","in":"query","description":"The ID of the featured media for the post.","required":false,"type":"integer","format":"int64"},{"name":"comment_status","in":"query","description":"Whether or not comments are open on the post.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"ping_status","in":"query","description":"Whether or not the post can be pinged.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"menu_order","in":"query","description":"The order of the post in relation to other posts.","required":false,"type":"integer","format":"int64"},{"name":"meta","in":"query","description":"Meta fields.","required":false,"type":"string"},{"name":"template","in":"query","description":"The theme file to use to display the post.","required":false,"type":"string"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}},"delete":{"tags":["pages"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"id","in":"path","description":"Unique identifier for the post.","required":true,"type":"integer","format":"int64"},{"name":"force","in":"query","description":"Whether to bypass Trash and force deletion.","required":false,"type":"boolean"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}}},"\/wp\/v2\/pages\/{parent}\/revisions":{"get":{"tags":["pages"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"parent","in":"path","description":"The ID for the parent of the revision.","required":true,"type":"integer","format":"int64"},{"name":"context","in":"query","description":"Scope under which the request is made; determines fields present in response.","required":false,"type":"array","items":{"type":"string","enum":["view","embed","edit"],"default":"view"},"collectionFormat":"multi"},{"name":"page","in":"query","description":"Current page of the collection.","required":false,"type":"integer","minimum":1,"format":"int64"},{"name":"per_page","in":"query","description":"Maximum number of items to be returned in result set.","required":false,"type":"integer","maximum":100,"minimum":1,"format":"int64"},{"name":"search","in":"query","description":"Limit results to those matching a string.","required":false,"type":"string"},{"name":"exclude","in":"query","description":"Ensure result set excludes specific IDs.","required":false,"type":"array","items":{"type":"integer"}},{"name":"include","in":"query","description":"Limit result set to specific IDs.","required":false,"type":"array","items":{"type":"integer"}},{"name":"offset","in":"query","description":"Offset the result set by a specific number of items.","required":false,"type":"integer","format":"int64"},{"name":"order","in":"query","description":"Order sort attribute ascending or descending.","required":false,"type":"array","items":{"type":"string","enum":["asc","desc"],"default":"desc"},"collectionFormat":"multi"},{"name":"orderby","in":"query","description":"Sort collection by object attribute.","required":false,"type":"array","items":{"type":"string","enum":["date","id","include","relevance","slug","include_slugs","title"],"default":"date"},"collectionFormat":"multi"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}}},"\/wp\/v2\/pages\/{parent}":{"get":{"tags":["pages"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"parent","in":"path","description":"The ID for the parent of the autosave.","required":true,"type":"integer","format":"int64"},{"name":"id","in":"query","description":"The ID for the autosave.","required":false,"type":"integer","format":"int64"},{"name":"context","in":"query","description":"Scope under which the request is made; determines fields present in response.","required":false,"type":"array","items":{"type":"string","enum":["view","embed","edit"],"default":"view"},"collectionFormat":"multi"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}}},"\/wp\/v2\/pages\/{id}\/autosaves":{"get":{"tags":["pages"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"parent","in":"query","description":"The ID for the parent of the autosave.","required":false,"type":"integer","format":"int64"},{"name":"context","in":"query","description":"Scope under which the request is made; determines fields present in response.","required":false,"type":"array","items":{"type":"string","enum":["view","embed","edit"],"default":"view"},"collectionFormat":"multi"},{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int64"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}},"post":{"tags":["pages"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"parent","in":"formData","description":"The ID for the parent of the post.","required":false,"type":"integer","format":"int64"},{"name":"date","in":"formData","description":"The date the post was published, in the site's timezone.","required":false,"type":"string","format":"date-time"},{"name":"date_gmt","in":"formData","description":"The date the post was published, as GMT.","required":false,"type":"string","format":"date-time"},{"name":"slug","in":"formData","description":"An alphanumeric identifier for the post unique to its type.","required":false,"type":"string"},{"name":"status","in":"formData","description":"A named status for the post.","required":false,"type":"array","items":{"type":"string","enum":["publish","future","draft","pending","private"]},"collectionFormat":"multi"},{"name":"password","in":"formData","description":"A password to protect access to the content and excerpt.","required":false,"type":"string"},{"name":"title","in":"formData","description":"The title for the post.","required":false,"type":"string"},{"name":"content","in":"formData","description":"The content for the post.","required":false,"type":"string"},{"name":"author","in":"formData","description":"The ID for the author of the post.","required":false,"type":"integer","format":"int64"},{"name":"excerpt","in":"formData","description":"The excerpt for the post.","required":false,"type":"string"},{"name":"featured_media","in":"formData","description":"The ID of the featured media for the post.","required":false,"type":"integer","format":"int64"},{"name":"comment_status","in":"formData","description":"Whether or not comments are open on the post.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"ping_status","in":"formData","description":"Whether or not the post can be pinged.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"menu_order","in":"formData","description":"The order of the post in relation to other posts.","required":false,"type":"integer","format":"int64"},{"name":"meta","in":"formData","description":"Meta fields.","required":false,"type":"string"},{"name":"template","in":"formData","description":"The theme file to use to display the post.","required":false,"type":"string"},{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int64"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}}},"\/wp\/v2\/media":{"get":{"tags":["media"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"context","in":"query","description":"Scope under which the request is made; determines fields present in response.","required":false,"type":"array","items":{"type":"string","enum":["view","embed","edit"],"default":"view"},"collectionFormat":"multi"},{"name":"page","in":"query","description":"Current page of the collection.","required":false,"type":"integer","minimum":1,"format":"int64"},{"name":"per_page","in":"query","description":"Maximum number of items to be returned in result set.","required":false,"type":"integer","maximum":100,"minimum":1,"format":"int64"},{"name":"search","in":"query","description":"Limit results to those matching a string.","required":false,"type":"string"},{"name":"after","in":"query","description":"Limit response to posts published after a given ISO8601 compliant date.","required":false,"type":"string","format":"date-time"},{"name":"modified_after","in":"query","description":"Limit response to posts modified after a given ISO8601 compliant date.","required":false,"type":"string","format":"date-time"},{"name":"author","in":"query","description":"Limit result set to posts assigned to specific authors.","required":false,"type":"array","items":{"type":"integer"}},{"name":"author_exclude","in":"query","description":"Ensure result set excludes posts assigned to specific authors.","required":false,"type":"array","items":{"type":"integer"}},{"name":"before","in":"query","description":"Limit response to posts published before a given ISO8601 compliant date.","required":false,"type":"string","format":"date-time"},{"name":"modified_before","in":"query","description":"Limit response to posts modified before a given ISO8601 compliant date.","required":false,"type":"string","format":"date-time"},{"name":"exclude","in":"query","description":"Ensure result set excludes specific IDs.","required":false,"type":"array","items":{"type":"integer"}},{"name":"include","in":"query","description":"Limit result set to specific IDs.","required":false,"type":"array","items":{"type":"integer"}},{"name":"search_semantics","in":"query","description":"How to interpret the search input.","required":false,"type":"array","items":{"type":"string","enum":["exact"]},"collectionFormat":"multi"},{"name":"offset","in":"query","description":"Offset the result set by a specific number of items.","required":false,"type":"integer","format":"int64"},{"name":"order","in":"query","description":"Order sort attribute ascending or descending.","required":false,"type":"array","items":{"type":"string","enum":["asc","desc"],"default":"desc"},"collectionFormat":"multi"},{"name":"orderby","in":"query","description":"Sort collection by post attribute.","required":false,"type":"array","items":{"type":"string","enum":["author","date","id","include","modified","parent","relevance","slug","include_slugs","title"],"default":"date"},"collectionFormat":"multi"},{"name":"parent","in":"query","description":"Limit result set to items with particular parent IDs.","required":false,"type":"array","items":{"type":"integer"}},{"name":"parent_exclude","in":"query","description":"Limit result set to all items except those of a particular parent ID.","required":false,"type":"array","items":{"type":"integer"}},{"name":"search_columns","in":"query","description":"Array of column names to be searched.","required":false,"type":"array","items":{"type":"string"}},{"name":"slug","in":"query","description":"Limit result set to posts with one or more specific slugs.","required":false,"type":"array","items":{"type":"string"}},{"name":"status","in":"query","description":"Limit result set to posts assigned one or more statuses.","required":false,"type":"array","items":{"type":"string"}},{"name":"media_type","in":"query","description":"Limit result set to attachments of a particular media type or media types.","required":false,"type":"array","items":{"type":"string"}},{"name":"mime_type","in":"query","description":"Limit result set to attachments of a particular MIME type or MIME types.","required":false,"type":"array","items":{"type":"string"}}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}},"post":{"tags":["media"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"date","in":"formData","description":"The date the post was published, in the site's timezone.","required":false,"type":"string","format":"date-time"},{"name":"date_gmt","in":"formData","description":"The date the post was published, as GMT.","required":false,"type":"string","format":"date-time"},{"name":"slug","in":"formData","description":"An alphanumeric identifier for the post unique to its type.","required":false,"type":"string"},{"name":"status","in":"formData","description":"A named status for the post.","required":false,"type":"array","items":{"type":"string","enum":["publish","future","draft","pending","private"]},"collectionFormat":"multi"},{"name":"title","in":"formData","description":"The title for the post.","required":false,"type":"string"},{"name":"author","in":"formData","description":"The ID for the author of the post.","required":false,"type":"integer","format":"int64"},{"name":"featured_media","in":"formData","description":"The ID of the featured media for the post.","required":false,"type":"integer","format":"int64"},{"name":"comment_status","in":"formData","description":"Whether or not comments are open on the post.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"ping_status","in":"formData","description":"Whether or not the post can be pinged.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"meta","in":"formData","description":"Meta fields.","required":false,"type":"string"},{"name":"template","in":"formData","description":"The theme file to use to display the post.","required":false,"type":"string"},{"name":"alt_text","in":"formData","description":"Alternative text to display when attachment is not displayed.","required":false,"type":"string"},{"name":"caption","in":"formData","description":"The attachment caption.","required":false,"type":"string"},{"name":"description","in":"formData","description":"The attachment description.","required":false,"type":"string"},{"name":"post","in":"formData","description":"The ID for the associated post of the attachment.","required":false,"type":"integer","format":"int64"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}}},"\/wp\/v2\/media\/{id}":{"get":{"tags":["media"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"id","in":"path","description":"Unique identifier for the post.","required":true,"type":"integer","format":"int64"},{"name":"context","in":"query","description":"Scope under which the request is made; determines fields present in response.","required":false,"type":"array","items":{"type":"string","enum":["view","embed","edit"],"default":"view"},"collectionFormat":"multi"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}},"post":{"tags":["media"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"id","in":"path","description":"Unique identifier for the post.","required":true,"type":"integer","format":"int64"},{"name":"date","in":"formData","description":"The date the post was published, in the site's timezone.","required":false,"type":"string","format":"date-time"},{"name":"date_gmt","in":"formData","description":"The date the post was published, as GMT.","required":false,"type":"string","format":"date-time"},{"name":"slug","in":"formData","description":"An alphanumeric identifier for the post unique to its type.","required":false,"type":"string"},{"name":"status","in":"formData","description":"A named status for the post.","required":false,"type":"array","items":{"type":"string","enum":["publish","future","draft","pending","private"]},"collectionFormat":"multi"},{"name":"title","in":"formData","description":"The title for the post.","required":false,"type":"string"},{"name":"author","in":"formData","description":"The ID for the author of the post.","required":false,"type":"integer","format":"int64"},{"name":"featured_media","in":"formData","description":"The ID of the featured media for the post.","required":false,"type":"integer","format":"int64"},{"name":"comment_status","in":"formData","description":"Whether or not comments are open on the post.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"ping_status","in":"formData","description":"Whether or not the post can be pinged.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"meta","in":"formData","description":"Meta fields.","required":false,"type":"string"},{"name":"template","in":"formData","description":"The theme file to use to display the post.","required":false,"type":"string"},{"name":"alt_text","in":"formData","description":"Alternative text to display when attachment is not displayed.","required":false,"type":"string"},{"name":"caption","in":"formData","description":"The attachment caption.","required":false,"type":"string"},{"name":"description","in":"formData","description":"The attachment description.","required":false,"type":"string"},{"name":"post","in":"formData","description":"The ID for the associated post of the attachment.","required":false,"type":"integer","format":"int64"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}},"put":{"tags":["media"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"id","in":"path","description":"Unique identifier for the post.","required":true,"type":"integer","format":"int64"},{"name":"date","in":"query","description":"The date the post was published, in the site's timezone.","required":false,"type":"string","format":"date-time"},{"name":"date_gmt","in":"query","description":"The date the post was published, as GMT.","required":false,"type":"string","format":"date-time"},{"name":"slug","in":"query","description":"An alphanumeric identifier for the post unique to its type.","required":false,"type":"string"},{"name":"status","in":"query","description":"A named status for the post.","required":false,"type":"array","items":{"type":"string","enum":["publish","future","draft","pending","private"]},"collectionFormat":"multi"},{"name":"title","in":"query","description":"The title for the post.","required":false,"type":"string"},{"name":"author","in":"query","description":"The ID for the author of the post.","required":false,"type":"integer","format":"int64"},{"name":"featured_media","in":"query","description":"The ID of the featured media for the post.","required":false,"type":"integer","format":"int64"},{"name":"comment_status","in":"query","description":"Whether or not comments are open on the post.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"ping_status","in":"query","description":"Whether or not the post can be pinged.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"meta","in":"query","description":"Meta fields.","required":false,"type":"string"},{"name":"template","in":"query","description":"The theme file to use to display the post.","required":false,"type":"string"},{"name":"alt_text","in":"query","description":"Alternative text to display when attachment is not displayed.","required":false,"type":"string"},{"name":"caption","in":"query","description":"The attachment caption.","required":false,"type":"string"},{"name":"description","in":"query","description":"The attachment description.","required":false,"type":"string"},{"name":"post","in":"query","description":"The ID for the associated post of the attachment.","required":false,"type":"integer","format":"int64"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}},"patch":{"tags":["media"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"id","in":"path","description":"Unique identifier for the post.","required":true,"type":"integer","format":"int64"},{"name":"date","in":"query","description":"The date the post was published, in the site's timezone.","required":false,"type":"string","format":"date-time"},{"name":"date_gmt","in":"query","description":"The date the post was published, as GMT.","required":false,"type":"string","format":"date-time"},{"name":"slug","in":"query","description":"An alphanumeric identifier for the post unique to its type.","required":false,"type":"string"},{"name":"status","in":"query","description":"A named status for the post.","required":false,"type":"array","items":{"type":"string","enum":["publish","future","draft","pending","private"]},"collectionFormat":"multi"},{"name":"title","in":"query","description":"The title for the post.","required":false,"type":"string"},{"name":"author","in":"query","description":"The ID for the author of the post.","required":false,"type":"integer","format":"int64"},{"name":"featured_media","in":"query","description":"The ID of the featured media for the post.","required":false,"type":"integer","format":"int64"},{"name":"comment_status","in":"query","description":"Whether or not comments are open on the post.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"ping_status","in":"query","description":"Whether or not the post can be pinged.","required":false,"type":"array","items":{"type":"string","enum":["open","closed"]},"collectionFormat":"multi"},{"name":"meta","in":"query","description":"Meta fields.","required":false,"type":"string"},{"name":"template","in":"query","description":"The theme file to use to display the post.","required":false,"type":"string"},{"name":"alt_text","in":"query","description":"Alternative text to display when attachment is not displayed.","required":false,"type":"string"},{"name":"caption","in":"query","description":"The attachment caption.","required":false,"type":"string"},{"name":"description","in":"query","description":"The attachment description.","required":false,"type":"string"},{"name":"post","in":"query","description":"The ID for the associated post of the attachment.","required":false,"type":"integer","format":"int64"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}},"delete":{"tags":["media"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"id","in":"path","description":"Unique identifier for the post.","required":true,"type":"integer","format":"int64"},{"name":"force","in":"query","description":"Whether to bypass Trash and force deletion.","required":false,"type":"boolean"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}}},"\/wp\/v2\/media\/{id}\/post-process":{"post":{"tags":["media"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"id","in":"path","description":"Unique identifier for the attachment.","required":true,"type":"integer","format":"int64"},{"name":"action","in":"formData","description":"","required":true,"type":"array","items":{"type":"string","enum":["create-image-subsizes"]},"collectionFormat":"multi"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}}},"\/wp\/v2\/media\/{id}\/edit":{"post":{"tags":["media"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"src","in":"formData","description":"URL to the edited image file.","required":true,"type":"string","format":"uri"},{"name":"modifiers","in":"formData","description":"Array of image edits.","required":false,"type":"array","items":{"type":"object"}},{"name":"rotation","in":"formData","description":"The amount to rotate the image clockwise in degrees. DEPRECATED: Use `modifiers` instead.","required":false,"type":"integer","maximum":360,"minimum":0,"format":"int64"},{"name":"x","in":"formData","description":"As a percentage of the image, the x position to start the crop from. DEPRECATED: Use `modifiers` instead.","required":false,"type":"number","maximum":100,"minimum":0},{"name":"y","in":"formData","description":"As a percentage of the image, the y position to start the crop from. DEPRECATED: Use `modifiers` instead.","required":false,"type":"number","maximum":100,"minimum":0},{"name":"width","in":"formData","description":"As a percentage of the image, the width to crop the image to. DEPRECATED: Use `modifiers` instead.","required":false,"type":"number","maximum":100,"minimum":0},{"name":"height","in":"formData","description":"As a percentage of the image, the height to crop the image to. DEPRECATED: Use `modifiers` instead.","required":false,"type":"number","maximum":100,"minimum":0},{"name":"caption","in":"formData","description":"The attachment caption.","required":false,"type":"string"},{"name":"description","in":"formData","description":"The attachment description.","required":false,"type":"string"},{"name":"title","in":"formData","description":"The title for the post.","required":false,"type":"string"},{"name":"post","in":"formData","description":"The ID for the associated post of the attachment.","required":false,"type":"integer","format":"int64"},{"name":"alt_text","in":"formData","description":"Alternative text to display when attachment is not displayed.","required":false,"type":"string"},{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int64"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}}},"\/wp\/v2\/menu-items":{"get":{"tags":["menu-items"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"context","in":"query","description":"Scope under which the request is made; determines fields present in response.","required":false,"type":"array","items":{"type":"string","enum":["view","embed","edit"],"default":"view"},"collectionFormat":"multi"},{"name":"page","in":"query","description":"Current page of the collection.","required":false,"type":"integer","minimum":1,"format":"int64"},{"name":"per_page","in":"query","description":"Maximum number of items to be returned in result set.","required":false,"type":"integer","maximum":100,"minimum":1,"format":"int64"},{"name":"search","in":"query","description":"Limit results to those matching a string.","required":false,"type":"string"},{"name":"after","in":"query","description":"Limit response to posts published after a given ISO8601 compliant date.","required":false,"type":"string","format":"date-time"},{"name":"modified_after","in":"query","description":"Limit response to posts modified after a given ISO8601 compliant date.","required":false,"type":"string","format":"date-time"},{"name":"before","in":"query","description":"Limit response to posts published before a given ISO8601 compliant date.","required":false,"type":"string","format":"date-time"},{"name":"modified_before","in":"query","description":"Limit response to posts modified before a given ISO8601 compliant date.","required":false,"type":"string","format":"date-time"},{"name":"exclude","in":"query","description":"Ensure result set excludes specific IDs.","required":false,"type":"array","items":{"type":"integer"}},{"name":"include","in":"query","description":"Limit result set to specific IDs.","required":false,"type":"array","items":{"type":"integer"}},{"name":"search_semantics","in":"query","description":"How to interpret the search input.","required":false,"type":"array","items":{"type":"string","enum":["exact"]},"collectionFormat":"multi"},{"name":"offset","in":"query","description":"Offset the result set by a specific number of items.","required":false,"type":"integer","format":"int64"},{"name":"order","in":"query","description":"Order sort attribute ascending or descending.","required":false,"type":"array","items":{"type":"string","enum":["asc","desc"],"default":"asc"},"collectionFormat":"multi"},{"name":"orderby","in":"query","description":"Sort collection by object attribute.","required":false,"type":"array","items":{"type":"string","enum":["author","date","id","include","modified","parent","relevance","slug","include_slugs","title","menu_order"],"default":"menu_order"},"collectionFormat":"multi"},{"name":"search_columns","in":"query","description":"Array of column names to be searched.","required":false,"type":"array","items":{"type":"string"}},{"name":"slug","in":"query","description":"Limit result set to posts with one or more specific slugs.","required":false,"type":"array","items":{"type":"string"}},{"name":"status","in":"query","description":"Limit result set to posts assigned one or more statuses.","required":false,"type":"array","items":{"type":"string"}},{"name":"tax_relation","in":"query","description":"Limit result set based on relationship between multiple taxonomies.","required":false,"type":"array","items":{"type":"string","enum":["AND","OR"]},"collectionFormat":"multi"},{"name":"menus","in":"query","description":"Limit result set to items with specific terms assigned in the menus taxonomy.","required":false,"type":"string"},{"name":"menus_exclude","in":"query","description":"Limit result set to items except those with specific terms assigned in the menus taxonomy.","required":false,"type":"string"},{"name":"menu_order","in":"query","description":"Limit result set to posts with a specific menu_order value.","required":false,"type":"integer","format":"int64"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}},"post":{"tags":["menu-items"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"title","in":"formData","description":"The title for the object.","required":false,"type":"string"},{"name":"type","in":"formData","description":"The family of objects originally represented, such as \"post_type\" or \"taxonomy\".","required":false,"type":"array","items":{"type":"string","enum":["taxonomy","post_type","post_type_archive","custom"],"default":"custom"},"collectionFormat":"multi"},{"name":"status","in":"formData","description":"A named status for the object.","required":false,"type":"array","items":{"type":"string","enum":["publish","future","draft","pending","private"],"default":"publish"},"collectionFormat":"multi"},{"name":"parent","in":"formData","description":"The ID for the parent of the object.","required":false,"type":"integer","minimum":0,"format":"int64"},{"name":"attr_title","in":"formData","description":"Text for the title attribute of the link element for this menu item.","required":false,"type":"string"},{"name":"classes","in":"formData","description":"Class names for the link element of this menu item.","required":false,"type":"array","items":{"type":"string"}},{"name":"description","in":"formData","description":"The description of this menu item.","required":false,"type":"string"},{"name":"menu_order","in":"formData","description":"The DB ID of the nav_menu_item that is this item's menu parent, if any, otherwise 0.","required":false,"type":"integer","minimum":1,"format":"int64"},{"name":"object","in":"formData","description":"The type of object originally represented, such as \"category\", \"post\", or \"attachment\".","required":false,"type":"string"},{"name":"object_id","in":"formData","description":"The database ID of the original object this menu item represents, for example the ID for posts or the term_id for categories.","required":false,"type":"integer","minimum":0,"format":"int64"},{"name":"target","in":"formData","description":"The target attribute of the link element for this menu item.","required":false,"type":"array","items":{"type":"string","enum":["_blank",""]},"collectionFormat":"multi"},{"name":"url","in":"formData","description":"The URL to which this menu item points.","required":false,"type":"string","format":"uri"},{"name":"xfn","in":"formData","description":"The XFN relationship expressed in the link of this menu item.","required":false,"type":"array","items":{"type":"string"}},{"name":"menus","in":"formData","description":"The terms assigned to the object in the nav_menu taxonomy.","required":false,"type":"integer","format":"int64"},{"name":"meta","in":"formData","description":"Meta fields.","required":false,"type":"string"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}}},"\/wp\/v2\/menu-items\/{id}":{"get":{"tags":["menu-items"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"id","in":"path","description":"Unique identifier for the post.","required":true,"type":"integer","format":"int64"},{"name":"context","in":"query","description":"Scope under which the request is made; determines fields present in response.","required":false,"type":"array","items":{"type":"string","enum":["view","embed","edit"],"default":"view"},"collectionFormat":"multi"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}},"post":{"tags":["menu-items"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"id","in":"path","description":"Unique identifier for the post.","required":true,"type":"integer","format":"int64"},{"name":"title","in":"formData","description":"The title for the object.","required":false,"type":"string"},{"name":"type","in":"formData","description":"The family of objects originally represented, such as \"post_type\" or \"taxonomy\".","required":false,"type":"array","items":{"type":"string","enum":["taxonomy","post_type","post_type_archive","custom"]},"collectionFormat":"multi"},{"name":"status","in":"formData","description":"A named status for the object.","required":false,"type":"array","items":{"type":"string","enum":["publish","future","draft","pending","private"]},"collectionFormat":"multi"},{"name":"parent","in":"formData","description":"The ID for the parent of the object.","required":false,"type":"integer","minimum":0,"format":"int64"},{"name":"attr_title","in":"formData","description":"Text for the title attribute of the link element for this menu item.","required":false,"type":"string"},{"name":"classes","in":"formData","description":"Class names for the link element of this menu item.","required":false,"type":"array","items":{"type":"string"}},{"name":"description","in":"formData","description":"The description of this menu item.","required":false,"type":"string"},{"name":"menu_order","in":"formData","description":"The DB ID of the nav_menu_item that is this item's menu parent, if any, otherwise 0.","required":false,"type":"integer","minimum":1,"format":"int64"},{"name":"object","in":"formData","description":"The type of object originally represented, such as \"category\", \"post\", or \"attachment\".","required":false,"type":"string"},{"name":"object_id","in":"formData","description":"The database ID of the original object this menu item represents, for example the ID for posts or the term_id for categories.","required":false,"type":"integer","minimum":0,"format":"int64"},{"name":"target","in":"formData","description":"The target attribute of the link element for this menu item.","required":false,"type":"array","items":{"type":"string","enum":["_blank",""]},"collectionFormat":"multi"},{"name":"url","in":"formData","description":"The URL to which this menu item points.","required":false,"type":"string","format":"uri"},{"name":"xfn","in":"formData","description":"The XFN relationship expressed in the link of this menu item.","required":false,"type":"array","items":{"type":"string"}},{"name":"menus","in":"formData","description":"The terms assigned to the object in the nav_menu taxonomy.","required":false,"type":"integer","format":"int64"},{"name":"meta","in":"formData","description":"Meta fields.","required":false,"type":"string"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}},"put":{"tags":["menu-items"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"id","in":"path","description":"Unique identifier for the post.","required":true,"type":"integer","format":"int64"},{"name":"title","in":"query","description":"The title for the object.","required":false,"type":"string"},{"name":"type","in":"query","description":"The family of objects originally represented, such as \"post_type\" or \"taxonomy\".","required":false,"type":"array","items":{"type":"string","enum":["taxonomy","post_type","post_type_archive","custom"]},"collectionFormat":"multi"},{"name":"status","in":"query","description":"A named status for the object.","required":false,"type":"array","items":{"type":"string","enum":["publish","future","draft","pending","private"]},"collectionFormat":"multi"},{"name":"parent","in":"query","description":"The ID for the parent of the object.","required":false,"type":"integer","minimum":0,"format":"int64"},{"name":"attr_title","in":"query","description":"Text for the title attribute of the link element for this menu item.","required":false,"type":"string"},{"name":"classes","in":"query","description":"Class names for the link element of this menu item.","required":false,"type":"array","items":{"type":"string"}},{"name":"description","in":"query","description":"The description of this menu item.","required":false,"type":"string"},{"name":"menu_order","in":"query","description":"The DB ID of the nav_menu_item that is this item's menu parent, if any, otherwise 0.","required":false,"type":"integer","minimum":1,"format":"int64"},{"name":"object","in":"query","description":"The type of object originally represented, such as \"category\", \"post\", or \"attachment\".","required":false,"type":"string"},{"name":"object_id","in":"query","description":"The database ID of the original object this menu item represents, for example the ID for posts or the term_id for categories.","required":false,"type":"integer","minimum":0,"format":"int64"},{"name":"target","in":"query","description":"The target attribute of the link element for this menu item.","required":false,"type":"array","items":{"type":"string","enum":["_blank",""]},"collectionFormat":"multi"},{"name":"url","in":"query","description":"The URL to which this menu item points.","required":false,"type":"string","format":"uri"},{"name":"xfn","in":"query","description":"The XFN relationship expressed in the link of this menu item.","required":false,"type":"array","items":{"type":"string"}},{"name":"menus","in":"query","description":"The terms assigned to the object in the nav_menu taxonomy.","required":false,"type":"integer","format":"int64"},{"name":"meta","in":"query","description":"Meta fields.","required":false,"type":"string"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}},"patch":{"tags":["menu-items"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"id","in":"path","description":"Unique identifier for the post.","required":true,"type":"integer","format":"int64"},{"name":"title","in":"query","description":"The title for the object.","required":false,"type":"string"},{"name":"type","in":"query","description":"The family of objects originally represented, such as \"post_type\" or \"taxonomy\".","required":false,"type":"array","items":{"type":"string","enum":["taxonomy","post_type","post_type_archive","custom"]},"collectionFormat":"multi"},{"name":"status","in":"query","description":"A named status for the object.","required":false,"type":"array","items":{"type":"string","enum":["publish","future","draft","pending","private"]},"collectionFormat":"multi"},{"name":"parent","in":"query","description":"The ID for the parent of the object.","required":false,"type":"integer","minimum":0,"format":"int64"},{"name":"attr_title","in":"query","description":"Text for the title attribute of the link element for this menu item.","required":false,"type":"string"},{"name":"classes","in":"query","description":"Class names for the link element of this menu item.","required":false,"type":"array","items":{"type":"string"}},{"name":"description","in":"query","description":"The description of this menu item.","required":false,"type":"string"},{"name":"menu_order","in":"query","description":"The DB ID of the nav_menu_item that is this item's menu parent, if any, otherwise 0.","required":false,"type":"integer","minimum":1,"format":"int64"},{"name":"object","in":"query","description":"The type of object originally represented, such as \"category\", \"post\", or \"attachment\".","required":false,"type":"string"},{"name":"object_id","in":"query","description":"The database ID of the original object this menu item represents, for example the ID for posts or the term_id for categories.","required":false,"type":"integer","minimum":0,"format":"int64"},{"name":"target","in":"query","description":"The target attribute of the link element for this menu item.","required":false,"type":"array","items":{"type":"string","enum":["_blank",""]},"collectionFormat":"multi"},{"name":"url","in":"query","description":"The URL to which this menu item points.","required":false,"type":"string","format":"uri"},{"name":"xfn","in":"query","description":"The XFN relationship expressed in the link of this menu item.","required":false,"type":"array","items":{"type":"string"}},{"name":"menus","in":"query","description":"The terms assigned to the object in the nav_menu taxonomy.","required":false,"type":"integer","format":"int64"},{"name":"meta","in":"query","description":"Meta fields.","required":false,"type":"string"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}},"delete":{"tags":["menu-items"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"id","in":"path","description":"Unique identifier for the post.","required":true,"type":"integer","format":"int64"},{"name":"force","in":"query","description":"Whether to bypass Trash and force deletion.","required":false,"type":"boolean"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}}},"\/wp\/v2\/menu-items\/{id}\/autosaves":{"get":{"tags":["menu-items"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"parent","in":"query","description":"The ID for the parent of the autosave.","required":false,"type":"integer","format":"int64"},{"name":"context","in":"query","description":"Scope under which the request is made; determines fields present in response.","required":false,"type":"array","items":{"type":"string","enum":["view","embed","edit"],"default":"view"},"collectionFormat":"multi"},{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int64"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}},"post":{"tags":["menu-items"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"parent","in":"formData","description":"The ID for the parent of the object.","required":false,"type":"integer","minimum":0,"format":"int64"},{"name":"title","in":"formData","description":"The title for the object.","required":false,"type":"string"},{"name":"type","in":"formData","description":"The family of objects originally represented, such as \"post_type\" or \"taxonomy\".","required":false,"type":"array","items":{"type":"string","enum":["taxonomy","post_type","post_type_archive","custom"]},"collectionFormat":"multi"},{"name":"status","in":"formData","description":"A named status for the object.","required":false,"type":"array","items":{"type":"string","enum":["publish","future","draft","pending","private"]},"collectionFormat":"multi"},{"name":"attr_title","in":"formData","description":"Text for the title attribute of the link element for this menu item.","required":false,"type":"string"},{"name":"classes","in":"formData","description":"Class names for the link element of this menu item.","required":false,"type":"array","items":{"type":"string"}},{"name":"description","in":"formData","description":"The description of this menu item.","required":false,"type":"string"},{"name":"menu_order","in":"formData","description":"The DB ID of the nav_menu_item that is this item's menu parent, if any, otherwise 0.","required":false,"type":"integer","minimum":1,"format":"int64"},{"name":"object","in":"formData","description":"The type of object originally represented, such as \"category\", \"post\", or \"attachment\".","required":false,"type":"string"},{"name":"object_id","in":"formData","description":"The database ID of the original object this menu item represents, for example the ID for posts or the term_id for categories.","required":false,"type":"integer","minimum":0,"format":"int64"},{"name":"target","in":"formData","description":"The target attribute of the link element for this menu item.","required":false,"type":"array","items":{"type":"string","enum":["_blank",""]},"collectionFormat":"multi"},{"name":"url","in":"formData","description":"The URL to which this menu item points.","required":false,"type":"string","format":"uri"},{"name":"xfn","in":"formData","description":"The XFN relationship expressed in the link of this menu item.","required":false,"type":"array","items":{"type":"string"}},{"name":"menus","in":"formData","description":"The terms assigned to the object in the nav_menu taxonomy.","required":false,"type":"integer","format":"int64"},{"name":"meta","in":"formData","description":"Meta fields.","required":false,"type":"string"},{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int64"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}}},"\/wp\/v2\/menu-items\/{parent}":{"get":{"tags":["menu-items"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"parent","in":"path","description":"The ID for the parent of the autosave.","required":true,"type":"integer","format":"int64"},{"name":"id","in":"query","description":"The ID for the autosave.","required":false,"type":"integer","format":"int64"},{"name":"context","in":"query","description":"Scope under which the request is made; determines fields present in response.","required":false,"type":"array","items":{"type":"string","enum":["view","embed","edit"],"default":"view"},"collectionFormat":"multi"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}}},"\/wp\/v2\/blocks":{"get":{"tags":["blocks"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"context","in":"query","description":"Scope under which the request is made; determines fields present in response.","required":false,"type":"array","items":{"type":"string","enum":["view","embed","edit"],"default":"view"},"collectionFormat":"multi"},{"name":"page","in":"query","description":"Current page of the collection.","required":false,"type":"integer","minimum":1,"format":"int64"},{"name":"per_page","in":"query","description":"Maximum number of items to be returned in result set.","required":false,"type":"integer","maximum":100,"minimum":1,"format":"int64"},{"name":"search","in":"query","description":"Limit results to those matching a string.","required":false,"type":"string"},{"name":"after","in":"query","description":"Limit response to posts published after a given ISO8601 compliant date.","required":false,"type":"string","format":"date-time"},{"name":"modified_after","in":"query","description":"Limit response to posts modified after a given ISO8601 compliant date.","required":false,"type":"string","format":"date-time"},{"name":"before","in":"query","description":"Limit response to posts published before a given ISO8601 compliant date.","required":false,"type":"string","format":"date-time"},{"name":"modified_before","in":"query","description":"Limit response to posts modified before a given ISO8601 compliant date.","required":false,"type":"string","format":"date-time"},{"name":"exclude","in":"query","description":"Ensure result set excludes specific IDs.","required":false,"type":"array","items":{"type":"integer"}},{"name":"include","in":"query","description":"Limit result set to specific IDs.","required":false,"type":"array","items":{"type":"integer"}},{"name":"search_semantics","in":"query","description":"How to interpret the search input.","required":false,"type":"array","items":{"type":"string","enum":["exact"]},"collectionFormat":"multi"},{"name":"offset","in":"query","description":"Offset the result set by a specific number of items.","required":false,"type":"integer","format":"int64"},{"name":"order","in":"query","description":"Order sort attribute ascending or descending.","required":false,"type":"array","items":{"type":"string","enum":["asc","desc"],"default":"desc"},"collectionFormat":"multi"},{"name":"orderby","in":"query","description":"Sort collection by post attribute.","required":false,"type":"array","items":{"type":"string","enum":["author","date","id","include","modified","parent","relevance","slug","include_slugs","title"],"default":"date"},"collectionFormat":"multi"},{"name":"search_columns","in":"query","description":"Array of column names to be searched.","required":false,"type":"array","items":{"type":"string"}},{"name":"slug","in":"query","description":"Limit result set to posts with one or more specific slugs.","required":false,"type":"array","items":{"type":"string"}},{"name":"status","in":"query","description":"Limit result set to posts assigned one or more statuses.","required":false,"type":"array","items":{"type":"string"}},{"name":"tax_relation","in":"query","description":"Limit result set based on relationship between multiple taxonomies.","required":false,"type":"array","items":{"type":"string","enum":["AND","OR"]},"collectionFormat":"multi"},{"name":"wp_pattern_category","in":"query","description":"Limit result set to items with specific terms assigned in the wp_pattern_category taxonomy.","required":false,"type":"string"},{"name":"wp_pattern_category_exclude","in":"query","description":"Limit result set to items except those with specific terms assigned in the wp_pattern_category taxonomy.","required":false,"type":"string"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}},"post":{"tags":["blocks"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"date","in":"formData","description":"The date the post was published, in the site's timezone.","required":false,"type":"string","format":"date-time"},{"name":"date_gmt","in":"formData","description":"The date the post was published, as GMT.","required":false,"type":"string","format":"date-time"},{"name":"slug","in":"formData","description":"An alphanumeric identifier for the post unique to its type.","required":false,"type":"string"},{"name":"status","in":"formData","description":"A named status for the post.","required":false,"type":"array","items":{"type":"string","enum":["publish","future","draft","pending","private"]},"collectionFormat":"multi"},{"name":"password","in":"formData","description":"A password to protect access to the content and excerpt.","required":false,"type":"string"},{"name":"title","in":"formData","description":"The title for the post.","required":false,"type":"string"},{"name":"content","in":"formData","description":"The content for the post.","required":false,"type":"string"},{"name":"excerpt","in":"formData","description":"The excerpt for the post.","required":false,"type":"string"},{"name":"meta","in":"formData","description":"Meta fields.","required":false,"type":"string"},{"name":"template","in":"formData","description":"The theme file to use to display the post.","required":false,"type":"string"},{"name":"wp_pattern_category","in":"formData","description":"The terms assigned to the post in the wp_pattern_category taxonomy.","required":false,"type":"array","items":{"type":"integer"}}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}}},"\/wp\/v2\/blocks\/{id}":{"get":{"tags":["blocks"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"id","in":"path","description":"Unique identifier for the post.","required":true,"type":"integer","format":"int64"},{"name":"context","in":"query","description":"Scope under which the request is made; determines fields present in response.","required":false,"type":"array","items":{"type":"string","enum":["view","embed","edit"],"default":"view"},"collectionFormat":"multi"},{"name":"excerpt_length","in":"query","description":"Override the default excerpt length.","required":false,"type":"integer","format":"int64"},{"name":"password","in":"query","description":"The password for the post if it is password protected.","required":false,"type":"string"}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":"Bad Request"}}},"post":{"tags":["blocks"],"summary":"","description":"","consumes":["application\/x-www-form-urlencoded","multipart\/form-data"],"produces":["application\/json"],"parameters":[{"name":"id","in":"path","description":"Unique identifier for the post.","required":true,"type":"integer","format":"int64"},{"name":"date","in":"formData","description":"The date the post was published, in the site's timezone.","required":false,"type":"string","format":"date-time"},{"name":"date_gmt","in":"formData","description":"The date the post was published, as GMT.","required":false,"type":"string","format":"date-time"},{"name":"slug","in":"formData","description":"An alphanumeric identifier for the post unique to its type.","required":false,"type":"string"},{"name":"status","in":"formData","description":"A named status for the post.","required":false,"type":"array","items":{"type":"string","enum":["publish","future","draft","pending","private"]},"collectionFormat":"multi"},{"name":"password","in":"formData","description":"A password to protect access to the content and excerpt.","required":false,"type":"string"},{"name":"title","in":"formData","description":"The title for the post.","required":false,"type":"string"},{"name":"content","in":"formData","description":"The content for the post.","required":false,"type":"string"},{"name":"excerpt","in":"formData","description":"The excerpt for the post.","required":false,"type":"string"},{"name":"meta","in":"formData","description":"Meta fields.","required":false,"type":"string"},{"name":"template","in":"formData","description":"The theme file to use to display the post.","required":false,"type":"string"},{"name":"wp_pattern_category","in":"formData","description":"The terms assigned to the post in the wp_pattern_category taxonomy.","required":false,"type":"array","items":{"type":"integer"}}],"security":[{"basic":[]}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"400":{"description":
[...]
